import { Cyberlink, ParticleCid, NeuronAddress } from '../../../types/base';
import { Transaction } from './types';
export type CyberlinksByParticleResponse = {
    cyberlinks: (Omit<Cyberlink, 'timestamp'> & {
        timestamp: string;
    })[];
};
declare const fetchTransactions: (cyberIndexUrl: string, address: NeuronAddress, timestampFrom: number, offset?: number) => Promise<Transaction[]>;
export declare function fetchAllCyberlinks(cyberIndexUrl: string, cid: ParticleCid, timestampFrom?: number): Promise<any[]>;
declare const fetchTransactionsIterable: (cyberIndexUrl: string, neuronAddress: NeuronAddress, timestamp: number) => AsyncGenerator<Transaction[], void, undefined>;
declare const fetchCyberlinksIterable: (cyberIndexUrl: string, particleCid: ParticleCid, timestamp: number) => AsyncGenerator<(Omit<Cyberlink, "timestamp"> & {
    timestamp: string;
})[], void, undefined>;
declare const fetchCyberlinkSyncStats: (cyberIndexUrl: string, particleCid: ParticleCid, timestampFrom: number) => Promise<{
    firstTimestamp: number;
    lastTimestamp: number;
    lastLinkedParticle: string;
    isFrom: boolean;
    count: number;
}>;
export { fetchTransactionsIterable, fetchTransactions, fetchCyberlinksIterable, fetchCyberlinkSyncStats, };
