var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export const mockGetSyncStatus = jest.fn();
export const mockPutSyncStatus = jest.fn();
export const mockUpdateSyncStatus = jest.fn();
export const mockPutTransactions = jest.fn();
export const mockFindSyncStatus = jest.fn();
export const mockPutPins = jest.fn();
export const mockGetPins = jest.fn();
export const mockDeletePins = jest.fn();
export const mockPutParticles = jest.fn();
export const mockGetParticles = jest.fn();
export const mockGetSenseList = jest.fn();
export const mockGetSenseSummary = jest.fn();
export const mockSenseMarkAsRead = jest.fn();
export const mockGetTransactions = jest.fn();
export const mockPutCyberlinks = jest.fn();
export const mockPutSyncQueue = jest.fn();
export const mockUpdateSyncQueue = jest.fn();
export const mockRemoveSyncQueue = jest.fn();
export const mockGetSyncQueue = jest.fn();
export const mockGetLinks = jest.fn();
const mock = jest.fn().mockImplementation(() => ({
    putSyncStatus: (syncStatus) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi putSyncStatus!!!!', syncStatus);
        yield mockPutSyncStatus(syncStatus);
        return Promise.resolve();
    }),
    updateSyncStatus: (syncStatus) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi updateSyncStatus!!!!', syncStatus);
        yield mockUpdateSyncStatus(syncStatus);
        return Promise.resolve();
    }),
    getSyncQueue: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi getSyncQueue', args);
        return [];
    }),
    findSyncStatus: (args) => __awaiter(void 0, void 0, void 0, function* () {
        const result = yield mockFindSyncStatus(args);
        console.log('---------mockDbApi findSyncStatus', args, result);
        return result;
    }),
    getSyncStatus: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi getSyncStatus', args);
        return mockGetSyncStatus(args);
    }),
    putTransactions: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi putTransactions', args);
        return mockPutTransactions(args);
    }),
    putCyberlinks: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi putCyberlinks', args);
        return mockPutCyberlinks(args);
    }),
    putPins: (args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi putPins', args);
        return mockPutPins(args);
    }),
    getPins: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi getPins', args);
        return mockGetPins(args);
    }),
    deletePins: (args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi deletePins', args);
        return mockDeletePins(args);
    }),
    putParticles: (args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi putParticles', args);
        return mockPutParticles(args);
    }),
    getParticles: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi getParticles', args);
        return mockGetParticles(args);
    }),
    putSyncQueue: (args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi putSyncQueue', args);
        return mockPutSyncQueue(args);
    }),
    updateSyncQueue: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi updateSyncQueue', args);
        return mockUpdateSyncQueue(args);
    }),
    removeSyncQueue: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi removeSyncQueue', args);
        return mockRemoveSyncQueue(args);
    }),
    getLinks: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi getLinks', args);
        return mockGetLinks(args);
    }),
    getSenseList: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi getSenseList', args);
        return mockGetSenseList(args);
    }),
    getSenseSummary: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi getSenseSummary', args);
        return mockGetSenseSummary(args);
    }),
    senseMarkAsRead: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi senseMarkAsRead', args);
        return mockSenseMarkAsRead(args);
    }),
    getTransactions: (...args) => __awaiter(void 0, void 0, void 0, function* () {
        console.log('---------mockDbApi getTransactions', args);
        return mockGetTransactions(args);
    }),
}));
export default mock;
//# sourceMappingURL=dbApiWrapperMock.js.map