export declare const backgroundWorkerInstance: import("comlink").Remote<{
    init: (dbApiProxy: import("../../services/dataSource/indexedDb/dbApiWrapper").default & import("comlink").ProxyMarked) => Promise<void>;
    isInitialized: () => boolean;
    ipfsApi: {
        start: (ipfsOpts: import("../../../ipfs/ipfs").IpfsOptsType) => Promise<boolean>;
        stop: () => Promise<void>;
        getIpfsNode: () => Promise<import("../../../ipfs/ipfs").CybIpfsNode & import("comlink").ProxyMarked>;
        config: () => Promise<import("../../../ipfs/ipfs").IpfsNodePrperties>;
        info: () => Promise<import("../../../ipfs/ipfs").IpfsNodeInfo>;
        fetchWithDetails: (cid: string, parseAs?: import("../../../ipfs/ipfs").IpfsContentType) => Promise<{
            text?: string;
            type?: import("../../../ipfs/ipfs").IpfsContentType;
            content?: string;
            link?: string;
            gateway: boolean;
            cid: string;
        }>;
        enqueue: (cid: string, callback: import("../../../QueueManager/types").QueueItemCallback, options: import("../../../QueueManager/types").QueueItemOptions) => Promise<void>;
        enqueueAndWait: (cid: string, options?: import("../../../QueueManager/types").QueueItemOptions) => Promise<import("../../../QueueManager/types").QueueItemAsyncResult>;
        dequeue: (cid: string) => Promise<void>;
        dequeueByParent: (parent: string) => Promise<void>;
        clearQueue: () => Promise<void>;
        addContent: (content: string | File) => Promise<string>;
    } & import("comlink").ProxyMarked;
    defferedDbApi: {
        importCyberlinks: (links: import("../../../CozoDb/types/dto").DbEntityToDto<import("../../../CozoDb/types/entities").LinkDbEntity>[]) => void;
    } & import("comlink").ProxyMarked;
    ipfsQueue: import("../../../QueueManager/QueueManager").default & import("comlink").ProxyMarked;
    setParams: (params: Partial<import("../../services/sync/types").SyncServiceParams>) => void;
}>;
