import { DbEntity } from '../../../CozoDb/types/entities';
import { GetCommandOptions } from '../../../CozoDb/types/types';
declare const cozoDbWorker: {
    isInitialized: () => Promise<boolean>;
    init: () => Promise<void>;
    runCommand: (command: string) => Promise<import("../../../CozoDb/types/types").IDBResult | import("../../../CozoDb/types/types").IDBResultError>;
    executeRmCommand: (tableName: string, keyValues: Partial<DbEntity>[]) => Promise<import("../../../CozoDb/types/types").IDBResult | import("../../../CozoDb/types/types").IDBResultError>;
    executePutCommand: (tableName: string, array: Partial<DbEntity>[]) => Promise<import("../../../CozoDb/types/types").IDBResult | import("../../../CozoDb/types/types").IDBResultError>;
    executeBatchPutCommand: (tableName: string, array: Partial<DbEntity>[], batchSize?: number, onProgress?: (count: number) => void) => Promise<{
        ok: boolean;
    }>;
    executeUpdateCommand: (tableName: string, array: Partial<DbEntity>[]) => Promise<import("../../../CozoDb/types/types").IDBResult | import("../../../CozoDb/types/types").IDBResultError>;
    executeGetCommand: (tableName: string, selectFields?: string[], conditions?: string[], conditionFields?: string[], options?: GetCommandOptions) => Promise<import("../../../CozoDb/types/types").IDBResult | import("../../../CozoDb/types/types").IDBResultError>;
    importRelations: (content: string) => Promise<any>;
    exportRelations: (relations: string[]) => Promise<any>;
};
export type CozoDbWorker = typeof cozoDbWorker;
export {};
