var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import KuboNode from './impl/kubo';
import HeliaNode from './impl/helia';
import JsIpfsNode from './impl/js-ipfs';
import { CYBERNODE_SWARM_ADDR_TCP, CYBERNODE_SWARM_ADDR_WSS, CYBER_NODE_SWARM_PEER_ID, } from '../config';
import { withCybFeatures } from './mixins/withCybFeatures';
const nodeClassMap = {
    helia: HeliaNode,
    embedded: JsIpfsNode,
    external: KuboNode,
};
export function initIpfsNode(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const { ipfsNodeType } = options, restOptions = __rest(options, ["ipfsNodeType"]);
        const swarmPeerId = CYBER_NODE_SWARM_PEER_ID;
        const swarmPeerAddress = ipfsNodeType === 'external'
            ? CYBERNODE_SWARM_ADDR_TCP
            : CYBERNODE_SWARM_ADDR_WSS;
        const EnhancedClass = withCybFeatures(nodeClassMap[ipfsNodeType], {
            swarmPeerId,
            swarmPeerAddress,
        });
        const instance = new EnhancedClass();
        yield instance.init({ url: restOptions.urlOpts });
        console.log('----init', ipfsNodeType);
        yield instance.reconnectToSwarm();
        return instance;
    });
}
//# sourceMappingURL=factory.js.map