import { webSockets } from '@libp2p/websockets';
import * as filters from '@libp2p/websockets/filters';
const configIpfs = () => ({
    start: true,
    repo: 'ipfs-repo-cyber-v2',
    relay: {
        enabled: false,
        hop: {
            enabled: false,
        },
    },
    preload: {
        enabled: false,
    },
    config: {
        API: {
            HTTPHeaders: {
                'Access-Control-Allow-Methods': ['PUT', 'POST'],
                'Access-Control-Allow-Origin': [
                    'http://localhost:3000',
                    'http://127.0.0.1:5001',
                    'http://127.0.0.1:8888',
                    'http://localhost:8888',
                ],
            },
        },
        Addresses: {
            Gateway: '/ip4/127.0.0.1/tcp/8080',
            Swarm: [],
            Delegates: [],
        },
        Discovery: {
            MDNS: {
                Enabled: true,
                Interval: 10,
            },
            webRTCStar: {
                Enabled: false,
            },
        },
        Bootstrap: [],
        Pubsub: {
            Enabled: false,
        },
        Swarm: {
            ConnMgr: {
                HighWater: 300,
                LowWater: 50,
            },
            DisableNatPortMap: false,
        },
        Routing: {
            Type: 'dhtclient',
        },
    },
    libp2p: {
        transports: [
            webSockets({
                filter: filters.dnsWss,
            }),
        ],
        nat: {
            enabled: false,
        },
    },
    EXPERIMENTAL: {
        ipnsPubsub: false,
    },
});
export default configIpfs;
//# sourceMappingURL=jsIpfsConfig.js.map