var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Cluster } from '@nftstorage/ipfs-cluster';
import { IPFS_CLUSTER_URL } from '../config';
const cyberCluster = () => {
    const cluster = new Cluster(IPFS_CLUSTER_URL);
    const add = (file) => __awaiter(void 0, void 0, void 0, function* () {
        const dataFile = typeof file === 'string' ? new File([file], 'file.txt') : file;
        return cluster.add(dataFile, { cidVersion: 0, rawLeaves: false });
    });
    const status = (cid) => __awaiter(void 0, void 0, void 0, function* () { return cluster.status(cid); });
    return { add, status };
};
export default cyberCluster();
//# sourceMappingURL=cluster.js.map