var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import db from '../../utils/db.js';
const ipfsCacheDb = () => {
    const add = (cid, raw) => __awaiter(void 0, void 0, void 0, function* () {
        const dbValue = yield db.table('cid').get({ cid });
        if (!dbValue) {
            const ipfsContentAddtToInddexdDB = {
                cid,
                data: raw,
            };
            db.table('cid').add(ipfsContentAddtToInddexdDB);
        }
    });
    const get = (cid) => __awaiter(void 0, void 0, void 0, function* () {
        const dbValue = yield db.table('cid').get({ cid });
        return (dbValue === null || dbValue === void 0 ? void 0 : dbValue.data) || (dbValue === null || dbValue === void 0 ? void 0 : dbValue.content);
    });
    return { add, get };
};
export default ipfsCacheDb();
//# sourceMappingURL=ipfsCacheDb.js.map