import { Option } from '../../types';
import { IPFSContentMaybe, CallBackFuncStatus, IpfsContentSource, IpfsNode } from '../ipfs';
type fetchContentOptions = {
    controller?: AbortController;
    node?: IpfsNode;
};
declare function fetchIpfsContent(cid: string, source: IpfsContentSource, options: fetchContentOptions): Promise<IPFSContentMaybe>;
declare const getIPFSContent: (cid: string, node?: IpfsNode, controller?: AbortController, callBackFuncStatus?: CallBackFuncStatus) => Promise<IPFSContentMaybe>;
declare const catIPFSContentFromNode: (cid: string, node?: IpfsNode, offset?: number, controller?: AbortController) => AsyncIterable<Uint8Array> | undefined;
declare const addContenToIpfs: (node: IpfsNode, content: File | string) => Promise<Option<string>>;
export { getIPFSContent, catIPFSContentFromNode, fetchIpfsContent, addContenToIpfs, };
